Imports System

Namespace SamuraiApp.Domain

  Public Class Entrance

	Public Sub New(ByVal samuraiGuidId As Guid, ByVal movieMinute As Integer, ByVal sceneName As String, ByVal description As String)
	  Me.MovieMinute = movieMinute
	  Me.SceneName = sceneName
	  ActionDescription = description
	  Me.SamuraiGuidId=samuraiGuidId
	End Sub

        Private privateId As Integer
        Public Property Id As Integer
            Get
                Return privateId
            End Get
            Private Set(ByVal value As Integer)
                privateId = value
            End Set
        End Property
        Private privateMovieMinute As Integer
        Public Property MovieMinute As Integer
            Get
                Return privateMovieMinute
            End Get
            Private Set(ByVal value As Integer)
                privateMovieMinute = value
            End Set
        End Property
        Private privateSceneName As String
        Public Property SceneName As String
            Get
                Return privateSceneName
            End Get
            Private Set(ByVal value As String)
                privateSceneName = value
            End Set
        End Property
        Private privateActionDescription As String
        Public Property ActionDescription As String
            Get
                Return privateActionDescription
            End Get
            Private Set(ByVal value As String)
                privateActionDescription = value
            End Set
        End Property

        'demonstrates unconventional FK name. Also it's private. Note mapping in context 
        'for the 1:1 relationship to sort this out. EF Core will infer a backing property.
        Private Property SamuraiFk As Integer
        Private privateSamuraiGuidId As Guid
        Public Property SamuraiGuidId As Guid
            Get
                Return privateSamuraiGuidId
            End Get
            Private Set(ByVal value As Guid)
                privateSamuraiGuidId = value
            End Set
        End Property
    End Class
End Namespace