﻿Imports Microsoft.EntityFrameworkCore.Migrations
Imports System
Imports System.Collections.Generic

Namespace DataPoints0917EFCore2Model.Migrations
	Partial Public Class init
		Inherits Migration
		Protected Overrides Sub Up(ByVal migrationBuilder As MigrationBuilder)
            migrationBuilder.CreateTable(name:="Samurais", columns:=Function(table) New With {Key .Id = table.Column(Of Integer)(type:="INTEGER", nullable:=False).Annotation("Sqlite:Autoincrement", True), Key .LastModified = table.Column(Of Date)(type:="TEXT", nullable:=False), Key .Name = table.Column(Of String)(type:="TEXT", nullable:=True), Key .SecretIdentity_First = table.Column(Of String)(type:="TEXT", nullable:=True), Key .SecretIdentity_Last = table.Column(Of String)(type:="TEXT", nullable:=True)}, constraints:=Function(table) {table.PrimaryKey("PK_Samurais", Function(x) x.Id)})

            migrationBuilder.CreateTable(name:="Entrance", columns:=Function(table) New With {Key .Id = table.Column(Of Integer)(type:="INTEGER", nullable:=False).Annotation("Sqlite:Autoincrement", True), Key .ActionDescription = table.Column(Of String)(type:="TEXT", nullable:=True), Key .LastModified = table.Column(Of Date)(type:="TEXT", nullable:=False), Key .MovieMinute = table.Column(Of Integer)(type:="INTEGER", nullable:=False), Key .SamuraiFk = table.Column(Of Integer)(type:="INTEGER", nullable:=False), Key .SceneName = table.Column(Of String)(type:="TEXT", nullable:=True)}, constraints:=Function(table) {table.PrimaryKey("PK_Entrance", Function(x) x.Id), table.ForeignKey(name:="FK_Entrance_Samurais_SamuraiFk", column:=Function(x) x.SamuraiFk, principalTable:="Samurais", principalColumn:="Id", onDelete:=ReferentialAction.Cascade)})

            migrationBuilder.CreateTable(name:="Quotes", columns:=Function(table) New With {Key .Id = table.Column(Of Integer)(type:="INTEGER", nullable:=False).Annotation("Sqlite:Autoincrement", True), Key .LastModified = table.Column(Of Date)(type:="TEXT", nullable:=False), Key .SamuraiId = table.Column(Of Integer)(type:="INTEGER", nullable:=False), Key .Text = table.Column(Of String)(type:="TEXT", nullable:=True)}, constraints:=Function(table) {table.PrimaryKey("PK_Quotes", Function(x) x.Id), table.ForeignKey(name:="FK_Quotes_Samurais_SamuraiId", column:=Function(x) x.SamuraiId, principalTable:="Samurais", principalColumn:="Id", onDelete:=ReferentialAction.Cascade)})

            migrationBuilder.CreateIndex(name:= "IX_Entrance_SamuraiFk", table:= "Entrance", column:= "SamuraiFk", unique:= True)

			migrationBuilder.CreateIndex(name:= "IX_Quotes_SamuraiId", table:= "Quotes", column:= "SamuraiId")
		End Sub

		Protected Overrides Sub Down(ByVal migrationBuilder As MigrationBuilder)
			migrationBuilder.DropTable(name:= "Entrance")

			migrationBuilder.DropTable(name:= "Quotes")

			migrationBuilder.DropTable(name:= "Samurais")
		End Sub
	End Class
End Namespace
